Magnetoculus Database Builder Construction de bases de données pour Magnetoculus

Public Member Functions | Public Attributes | List of all members
DBBrowser.MainFrame Class Reference

The main window. More...

Inheritance diagram for DBBrowser.MainFrame:

## Public Member Functions
def | __init__ (self, parent, id, title)
def | OnQuit (self, event)
| Quit the application. More...
def | OnRegisterStart (self, event)
| Provide visual feedback when the registering process starts. More...
def | OnRegisterCity (self)
| Get the user input and tell the DBManager to register the City. More...
def | OnRegisterField (self)
| Get the user input and tell the DBManager to register the Field. More...
def | OnRegisterEnd (self)
| Provide visual feedback when the registering process ends. More...
def | OnAlreadyInDatabase (self, filename)
def | OnResize (self, event)
| Keeps the ratio of all UI elements when the user resize the window. More...
def | OnAboutBox (self, e)

## Public Attributes
| notebook
| tabAddCity
| tabAddField
| progressBar
| RegisterButton

## Detailed Description

The main window.

It has a menu (useless for now), two pages (one to register cities, another to register fields), and a status bar that shows error during the registering process.

## Constructor & Destructor Documentation

## ◆ __init__()

def DBBrowser.MainFrame.__init__ | ( |  | self,
|  |  | parent,
|  |  | id,
|  |  | title
| ) |  |

## Member Function Documentation

## ◆ OnAboutBox()

def DBBrowser.MainFrame.OnAboutBox | ( |  | self,
|  |  | e
| ) |  |

## ◆ OnAlreadyInDatabase()

def DBBrowser.MainFrame.OnAlreadyInDatabase | ( |  | self,
|  |  | filename
| ) |  |

## ◆ OnQuit()

def DBBrowser.MainFrame.OnQuit | ( |  | self,
|  |  | event
| ) |  |

Quit the application.

## ◆ OnRegisterCity()

def DBBrowser.MainFrame.OnRegisterCity | ( |  | self | ) |

Get the user input and tell the DBManager to register the City.

## ◆ OnRegisterEnd()

def DBBrowser.MainFrame.OnRegisterEnd | ( |  | self | ) |

Provide visual feedback when the registering process ends.

## ◆ OnRegisterField()

def DBBrowser.MainFrame.OnRegisterField | ( |  | self | ) |

Get the user input and tell the DBManager to register the Field.

## ◆ OnRegisterStart()

def DBBrowser.MainFrame.OnRegisterStart | ( |  | self,
|  |  | event
| ) |  |

Provide visual feedback when the registering process starts.

## ◆ OnResize()

def DBBrowser.MainFrame.OnResize | ( |  | self,
|  |  | event
| ) |  |

Keeps the ratio of all UI elements when the user resize the window.

## Member Data Documentation

## ◆ notebook

DBBrowser.MainFrame.notebook

## ◆ progressBar

DBBrowser.MainFrame.progressBar

## ◆ RegisterButton

DBBrowser.MainFrame.RegisterButton

## ◆ tabAddCity

DBBrowser.MainFrame.tabAddCity

## ◆ tabAddField

DBBrowser.MainFrame.tabAddField

The documentation for this class was generated from the following file:

- Database/DBBrowser.py